Bug 986470 - anaconda crashes when typing non-latin character in user creation
anaconda crashes when typing non-latin character in user creation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
All Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: David Shea
Release Test Team
:
Depends On: 969309
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 17:07 EDT by David Shea
Modified: 2014-06-17 21:35 EDT (History)
10 users (show)

See Also:
Fixed In Version: anaconda-19.31.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 969309
Environment:
Last Closed: 2014-06-13 07:56:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Shea 2013-07-19 17:07:41 EDT
+++ This bug was initially created as a clone of Bug #969309 +++

Description of problem:
When I create user in anaconda I can enter my real name and username. My real name is Łukasz and username entry is filled automatically. And then anaconda crashes. I can type Lukasz as real name and everything is fine.

Version-Release number of selected component (if applicable):


How reproducible:
I tried it once.

Steps to Reproduce:
1. Create user in Anaconda (while installing packages)
2. type non-latin character in real name.

Actual results:
installer crashes

Expected results:
Be Łukasz.

Additional info:
I know that username generally shouldn't contain "Ł" character, but anaconda use it anyway. It crashes in the process, but even if it wouldn't, it's still bad idea to have "łukasz" username.

--- Additional comment from Łukasz Posadowski on 2013-05-31 04:13:27 EDT ---

More additional info:

When I type "Łukasz Po" anaconda says:
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xc5 in position 0: unexpected end of data - anaconda.
Comment 2 David Shea 2013-07-19 17:18:37 EDT
Pushed the fix for the crash to rhel7-branch
Comment 4 Ľuboš Kardoš 2014-01-31 09:41:23 EST
Verified on anaconda 19.31.54.
Comment 5 Ludek Smid 2014-06-13 07:56:35 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.